Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle
Class DefaultCommandLine2StartParameterConverter

    java.lang.Object
      org.gradle.DefaultCommandLine2StartParameterConverter

All Implemented Interfaces:
  CommandLine2StartParameterConverter

    public class DefaultCommandLine2StartParameterConverter

extends java.lang.Object
implements CommandLine2StartParameterConverter

Field Summary
`static java.lang.String` | `DEBUG`
`static java.lang.String` | `FULL_STACKTRACE`
`static java.lang.String` | `GRADLE_HOME_PROPERTY_KEY`
`static java.lang.String` | `STACKTRACE`

Constructor Summary
`DefaultCommandLine2StartParameterConverter()`

Method Summary
`StartParameter` | `convert(java.lang.String[] args)`
`void` | `showHelp(java.io.OutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GRADLE_HOME_PROPERTY_KEY

    public static final java.lang.String GRADLE_HOME_PROPERTY_KEY

See Also:
  Constant Field Values

### DEBUG

    public static final java.lang.String DEBUG

See Also:
  Constant Field Values

### FULL_STACKTRACE

    public static final java.lang.String FULL_STACKTRACE

See Also:
  Constant Field Values

### STACKTRACE

    public static final java.lang.String STACKTRACE

See Also:
  Constant Field Values

Constructor Detail

### DefaultCommandLine2StartParameterConverter

    public DefaultCommandLine2StartParameterConverter()

Method Detail

### convert

    public StartParameter convert(java.lang.String[] args)

  Specified by:
    `convert` in interface `CommandLine2StartParameterConverter`

### showHelp

    public void showHelp(java.io.OutputStream out)

  Specified by:
    `showHelp` in interface `CommandLine2StartParameterConverter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD